> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete brand information from group

DELETE https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/groups/{groupId}/brands
Content-Type: application/json

This method deletes one or more brands from a group.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/usergroups/groupbrands/delete

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `groupId` (string, required) — The ID of the group.

### Body (application/json)

This endpoint expects a brandsRequest.

- `brands` (list of brandRequest, optional) — A list of brands.

## Response

### 200

Successful response.

- `recipientBrandIdDefault` (string, optional) — The brand that envelope recipients see when a brand is not explicitly set.
- `senderBrandIdDefault` (string, optional) — The brand that envelope senders see when a brand is not explicitly set.
- `brandOptions` (list of brand, optional) — A list of brands.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### brandRequest

This request object contains information about a specific brand.

- `brandId` (string, optional) — The ID of the brand used in API calls

### brand

Information about a brand that is associated with an account. A brand applies custom styles and text to an envelope.

- `brandCompany` (string, optional) — The name of the company associated with the brand.
- `brandId` (string, optional) — The ID used to identify a specific brand in API calls.
- `brandLanguages` (list of string, optional) — An array of two-letter codes for the languages that you want to use with the brand. The supported languages are: - Arabic (`ar`) - Armenian (`hy`) - Bahasa Indonesia (`id`) - Bahasa Malay (`ms`) - Bulgarian (`bg`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Czech (`cs`) - Danish (`da`) - Dutch (`nl`) - English UK (`en_GB`) - English US (`en`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canada (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brasil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukranian (`uk`) - Vietnamese (`vi`)
- `brandName` (string, optional) — The name of the brand.
- `colors` (list of nameValue, optional) — An array of name-value pairs specifying the colors that the brand uses for the following elements: - Button background - Button text - Header background - Header text
- `defaultBrandLanguage` (string, optional) — The two-letter code for the language that you want to use as the brand default. The supported languages are: - Arabic (`ar`) - Armenian (`hy`) - Bahasa Indonesia (`id`) - Bahasa Malay (`ms`) - Bulgarian (`bg`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Czech (`cs`) - Danish (`da`) - Dutch (`nl`) - English UK (`en_GB`) - English US (`en`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canada (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brasil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukranian (`uk`) - Vietnamese (`vi`)
- `emailContent` (list of brandEmailContent, optional) — Deprecated.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `isOrganizationBrand` (string, optional)
- `isOverridingCompanyName` (boolean, optional) — When **true,** the `brandCompany` property is overriding the name of the company in the account settings.
- `isSendingDefault` (boolean, optional) — When **true,** the sending brand is the default brand for sending new envelopes.
- `isSigningDefault` (boolean, optional) — When **true,** the siging brand is the default brand for the signing experience.
- `landingPages` (list of nameValue, optional) — An array of name/value pairs specifying the pages to which the user is redirected after the following events occur: - Signing Completed - Viewed Exit - Finish Later - Decline - Session Timeout - Authentication Failure If you do not specify landing pages, the Docusign default pages are used.
- `links` (list of brandLink, optional) — An array of `brandLink` objects that contain information about the links that the brand uses.
- `logoIds` (brandLogoIds, optional)
- `logos` (brandLogos, optional) — The URIs for retrieving the logos that are associated with the brand. These are read-only properties that provide a URI to logos in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).
- `organizationBrandLogo` (string, optional)
- `resources` (brandResourceUrls, optional) — Brands use resource files to style the following experiences: - Email - Sending - Signing - Captive (embedded) signing You can modify these resource files to customize these experiences.

### nameValue

A name-value pair that describes an item and provides a value for the item.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name of the item.
- `originalValue` (string, optional) — The initial value of the item.
- `value` (string, optional) — The current value of the item.

### brandEmailContent

Deprecated.

- `content` (string, optional) — Deprecated.
- `emailContentType` (string, optional) — Deprecated.
- `emailToLink` (string, optional) — Deprecated.
- `linkText` (string, optional) — Deprecated.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

### brandLink

Information about a link that a brand uses.

- `linkText` (string, optional) — The text used for the link.
- `linkType` (string, optional) — The type of link. Valid values include: - `aboutDocusign` - `closeButton`
- `showLink` (string, optional) — When **true,** the link displays to the recipient.
- `urlOrMailTo` (string, optional) — The URL or mailto address of the link.

### brandLogoIds

- `emailLogoId` (string, optional)
- `primaryLogoId` (string, optional)
- `secondaryLogoId` (string, optional)

### brandLogos

The URIs for retrieving the logos that are associated with the brand. These are read-only properties that provide a URI to logos in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).

- `email` (string, optional) — The URI for the brand's secondary logo. This is a read-only property that provides a URI to the logo in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).
- `primary` (string, optional) — The URI for the brand's secondary logo. This is a read-only property that provides a URI to the logo in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).
- `secondary` (string, optional) — The URI for the brand's secondary logo. This is a read-only property that provides a URI to the logo in use. To update a logo use [AccountBrands: updateLogo](/docs/esign-rest-api/reference/accounts/accountbrands/updatelogo/).

### brandResourceUrls

Brands use resource files to style the following experiences: - Email - Sending - Signing - Captive (embedded) signing You can modify these resource files to customize these experiences.

- `email` (string, optional) — The URI for the email resource file that the brand uses.
- `sending` (string, optional) — The URI for the sending resource file that the brand uses.
- `signing` (string, optional) — The URI for the signing resource file that the brand uses.
- `signingCaptive` (string, optional) — The URI for the captive (embedded) signing resource file that the brand uses.

## Examples

**Request**

```json
{
  "brands": [
    {
      "brandId": "sample string 1"
    }
  ]
}
```

**Response**

```json
{
  "recipientBrandIdDefault": "sample string 1",
  "senderBrandIdDefault": "sample string 2",
  "brandOptions": [
    {
      "brandCompany": "sample string 1",
      "brandId": "sample string 2",
      "brandLanguages": [
        "sample string 1"
      ],
      "brandName": "sample string 3",
      "colors": [
        {
          "errorDetails": {
            "errorCode": "sample string 1",
            "message": "sample string 2"
          },
          "name": "sample string 1",
          "originalValue": "sample string 2",
          "value": "sample string 3"
        }
      ],
      "defaultBrandLanguage": "sample string 4",
      "emailContent": [
        {
          "content": "sample string 1",
          "emailContentType": "sample string 2",
          "emailToLink": "sample string 3",
          "linkText": "sample string 4"
        }
      ],
      "isOrganizationBrand": "sample string 5",
      "isOverridingCompanyName": true,
      "isSendingDefault": true,
      "isSigningDefault": true,
      "landingPages": [
        {}
      ],
      "links": [
        {
          "linkText": "sample string 1",
          "linkType": "sample string 2",
          "showLink": "sample string 3",
          "urlOrMailTo": "sample string 4"
        }
      ],
      "logoIds": {
        "emailLogoId": "sample string 1",
        "primaryLogoId": "sample string 2",
        "secondaryLogoId": "sample string 3"
      },
      "logos": {
        "email": "sample string 1",
        "primary": "sample string 2",
        "secondary": "sample string 3"
      },
      "organizationBrandLogo": "sample string 6",
      "resources": {
        "email": "sample string 1",
        "sending": "sample string 2",
        "signing": "sample string 3",
        "signingCaptive": "sample string 4"
      }
    }
  ]
}
```